#!/bin/bash

DBUS_PATH=$1

function main() {
    str="This operation will uninstall the dpkg package from the system and reinstall it. Are you sure you wish to proceed with this operation?"
    tr_str=$(Translate "${str}")
    output=$(ShowConfirmBox "${DBUS_PATH}" "${tr_str}" "question")
    if [ "$output" = "no" ]; then
        exit 255
    fi
    IP=www.baidu.com
    ping -c 1 $IP >/dev/null 2>&1
    if [ $? -eq 0 ]; then
        SudoWrapper -s "mv /var/lib/dpkg/info /var/lib/dpkg/info_old"
        SudoWrapper -s "mkdir /var/lib/dpkg/info"
        SudoWrapper -s "apt update"
        num=$(SudoWrapper -a "apt install -fy --simulate" | grep -o '要卸载 [0-9]\+' | cut -c 11-)
        if [ $num -gt 0 ]; then
            local confirm_str="This repair will uninstall some software packages in the system, which may cause certain risks. Are you sure you want to proceed with this operation?"
            local tr_confirm_str
            tr_confirm_str=$(Translate "${confirm_str}")
            local select
            select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
            if [ "${select}" == "no" ]; then
                exit 255
            fi
        fi
        SudoWrapper -s "apt install -fy"
        if [ $? -ne 0 ]; then
            content="Please manually execute [sudo apt install -f] to view more details"
            tr_content=$(Translate "${content}")
            ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
            exit 1
        fi
        num=$(SudoWrapper -s "ls /var/lib/dpkg/info/ |wc -l")
        if [ "$num" -gt '0' ]; then
            SudoWrapper -s "mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old"
            SudoWrapper -s "rm -rf /var/lib/dpkg/info"
            SudoWrapper -s "mv /var/lib/dpkg/info_old /var/lib/dpkg/info"
            content="The issue has been successfully resolved"
            tr_content=$(Translate "${content}")
            ShowMessageBox "${DBUS_PATH}" "${tr_content}" "info"
        else
            SudoWrapper -s "rm -rf /var/lib/dpkg/info"
            SudoWrapper -s "mv /var/lib/dpkg/info_old /var/lib/dpkg/info"
            content="No repair needed"
            tr_content=$(Translate "${content}")
            ShowMessageBox "${DBUS_PATH}" "${tr_content}" "info"
        fi
    else
        content="The network is unavailable"
        tr_content=$(Translate "${content}")
        ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
        exit 1
    fi
}

main
