#!/bin/bash

DBUS_PATH=$1

function main() {
	local confirm_str="Please make sure that Enterprise WeChat is not on and this tool will reset Enterprise WeChat.Do you wish to proceed?"
	local tr_confirm_str
	tr_confirm_str=$(Translate "${confirm_str}")

	local select
	select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
	if [ "${select}" == "no" ]; then
		exit 255
	fi

	local packagename="kylin-kwre-wecom"
	if dpkg -l | grep -q "${packagename}"; then
		if ps -ef | grep -v grep | grep "WXWork" >/dev/null; then
			local msg_no="The wecom is open,plese shutdown the app"
			local tr_msg_no
			tr_msg_no=$(Translate "${msg_no}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
			exit 255
		fi

		echo "Fixing the problem..."
		if [ -d $HOME/.cxoffice/wecom ]; then
			rm -rf $HOME/.cxoffice/wecom
		fi

		echo "The problem has been fixed."

		local msg="The issue has been successfully resolved"
		local tr_msg
		tr_msg=$(Translate "${msg}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
		exit 0
	else
		local msg_no="The Wecom has not been install"
		local tr_msg_no
		tr_msg_no=$(Translate "${msg_no}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
		exit 255
	fi

}

main
