#!/bin/bash

DBUS_PATH=$1

function main() {
    local confirm_str="This tool will restart the system menu bar. Do you wish to proceed?"
    local tr_confirm_str
    tr_confirm_str=$(Translate "${confirm_str}")

    local select
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "no" ]; then
        exit 255
    fi

    echo "The pid of the ukui-menu process before fixing: $(pgrep ukui-menu)"

    echo "Fixing the problem..."
    killall ukui-menu
    sleep 1
    echo "The problem has been fixed."

    echo "The pid of the ukui-menu process after fixing: $(pgrep ukui-menu)"

    local msg="The issue has been successfully resolved"
    local tr_msg
    tr_msg=$(Translate "${msg}")
    ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
    exit 0
}

main
