#!/bin/bash

DBUS_PATH=$1

function main() {
	local confirm_str="This tool will close  and reset QQ.Do you wish to proceed?"
	local tr_confirm_str
	tr_confirm_str=$(Translate "${confirm_str}")

	local select
	select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
	if [ "${select}" == "no" ]; then
		exit 255
	fi

	local packagename="linuxqq"
	if dpkg -l | grep -q "${packagename}"; then
		if pgrep qq >/dev/null; then
			local msg_no="The qq is open,plese shutdown the app"
                        local tr_msg_no
                        tr_msg_no=$(Translate "${msg_no}")
                        ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
                        exit 255
		fi

		echo "Fixing the problem..."
		if [ -d $HOME/.config/QQ ]; then
			rm -rf $HOME/.config/QQ
		fi

		echo "The problem has been fixed."

		local msg="The issue has been successfully resolved"
		local tr_msg
		tr_msg=$(Translate "${msg}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
		exit 0
	else
		local msg_no="The QQ has not been install"
		local tr_msg_no
		tr_msg_no=$(Translate "${msg_no}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
		exit 255
	fi

}

main
